summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-03-28 13:39:16 +0100
committerChris <xchrisx@uber.space>2020-03-28 13:39:16 +0100
commit56104efb45f33a9a8bb82dec756b7020cf1f9b7f (patch)
tree9ba2c04fa48a1543a6b3a41a76053a13371e0cb9
parent10eafe761e278f80b45d1d368587fa7a4b33a3c8 (diff)
downloadtde-packaging-gentoo-56104efb.tar.gz
tde-packaging-gentoo-56104efb.zip
Live ebuilds: Add preliminary `MPlayerThumbs` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/mplayerthumbs/mplayerthumbs-9999.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/trinity-apps/mplayerthumbs/mplayerthumbs-9999.ebuild b/trinity-apps/mplayerthumbs/mplayerthumbs-9999.ebuild
new file mode 100644
index 00000000..dfc91eef
--- /dev/null
+++ b/trinity-apps/mplayerthumbs/mplayerthumbs-9999.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+TRINITY_EXTRAGEAR_PACKAGING="yes"
+TRINITY_HANDBOOK="optional"
+
+TRINITY_LANGS="de"
+
+inherit trinity-base-2
+
+DESCRIPTION="MPlayer based thumbnail generator for TDE"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+IUSE+=" +strips"
+
+RDEPEND+=" media-video/mplayer"
+
+src_configure() {
+ mycmakeargs=(
+ -DBUILD_TRANSLATIONS=ON
+ -DWITH_STRIPS_SUPPORT="$(usex strips)"
+ )
+
+ trinity-base-2_src_configure
+}